Subject: Re: [PATCH] Quieten arch/powerpc in a allmodconfig build.

From: Nathan Lynch <[email-masked]>
Date: Thu, 9 Apr 2009 23:21:04 -0500

Tony Breeds <[email-masked]> wrote:

> On Wed, Apr 08, 2009 at 01:47:36PM -0500, Nathan Lynch wrote:
> 
> > I think I had some reason for doing it this way, but I'm drawing a
> > blank right now.
> > 
> > In the meantime, can someone post the warnings that gcc emits for
> > cacheinfo.c, as well as the gcc version?  I can't reproduce them with
> > 4.3.2 on Fedora.
> 
> ---
> [tony@thor ~]$ egrep cacheinfo tmp/build.log 
> /scratch/tony/working/arch/powerpc/kernel/cacheinfo.c: In function 'associativity_show':
> /scratch/tony/working/arch/powerpc/kernel/cacheinfo.c:562: warning: 'associativity' may be used uninitialized in this function
> /scratch/tony/working/arch/powerpc/kernel/cacheinfo.c: In function 'size_show':
> /scratch/tony/working/arch/powerpc/kernel/cacheinfo.c:513: warning: 'size_kb' may be used uninitialized in this function

Thanks.

So I think I've convinced myself that the warnings are incorrect and
that uninitialized use is not possible.

But I find it odd that gcc gives warnings for these sites but not others
in the file that use the same idiom (e.g. line_size_show,
nr_sets_show).  I'd guess that inlining is implicated somehow.  Would I
be justified in worrying that this version of gcc is generating
incorrect code?

If not, then I'm fine with the uninitialized_var() changes, but do
please include the warnings and the compiler version in the changelog.